Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# StrCSumPtrLen Struct Reference
[OSCL Util]

same as StrPtrLen, but includes checksum field and method to speed up querying More...

`#include <oscl_str_ptr_len.h>`

Inheritance diagram for StrCSumPtrLen:

## Public Types
typedef int16 | CheckSumType
## Public Methods
void | setPtrLen (const char *newPtr, uint32 newLen)
CheckSumType | getCheckSum () const
OSCL_IMPORT_REF void | setCheckSum ()
| StrCSumPtrLen ()
| StrCSumPtrLen (const char *newPtr)
| StrCSumPtrLen (const char *newPtr, uint32 newLen)
| StrCSumPtrLen (const StrCSumPtrLen &rhs)
| StrCSumPtrLen (const StrPtrLen &rhs)
c_bool | isCIEquivalentTo (const StrCSumPtrLen &rhs) const
c_bool | operator== (const StrCSumPtrLen &rhs) const
c_bool | operator!= (const StrCSumPtrLen &rhs) const
StrCSumPtrLen & | operator= (const StrCSumPtrLen &rhs)
StrCSumPtrLen & | operator= (const StrPtrLen &rhs)
StrCSumPtrLen & | operator= (const char *rhs)
## Protected Attributes
CheckSumType | checkSum

## Detailed Description

same as StrPtrLen, but includes checksum field and method to speed up querying

## Member Typedef Documentation

typedef int16 StrCSumPtrLen::CheckSumType

## Constructor & Destructor Documentation

StrCSumPtrLen::StrCSumPtrLen | ( |  | ) | `[inline]`

StrCSumPtrLen::StrCSumPtrLen | ( | const char * | newPtr | ) | `[inline]`

StrCSumPtrLen::StrCSumPtrLen | ( | const char * | newPtr,
|  | uint32 | newLen
| ) | `[inline]`

StrCSumPtrLen::StrCSumPtrLen | ( | const StrCSumPtrLen & | rhs | ) | `[inline]`

StrCSumPtrLen::StrCSumPtrLen | ( | const StrPtrLen & | rhs | ) | `[inline]`

## Member Function Documentation

CheckSumType StrCSumPtrLen::getCheckSum | ( |  | ) | const`[inline]`

c_bool StrCSumPtrLen::isCIEquivalentTo | ( | const StrCSumPtrLen & | rhs | ) | const`[inline]`

c_bool StrCSumPtrLen::operator!= | ( | const StrCSumPtrLen & | rhs | ) | const`[inline]`

StrCSumPtrLen& StrCSumPtrLen::operator= | ( | const char * | rhs | ) | `[inline]`

| Reimplemented from StrPtrLen.

StrCSumPtrLen& StrCSumPtrLen::operator= | ( | const StrPtrLen & | rhs | ) | `[inline]`

| Reimplemented from StrPtrLen.

StrCSumPtrLen& StrCSumPtrLen::operator= | ( | const StrCSumPtrLen & | rhs | ) | `[inline]`

c_bool StrCSumPtrLen::operator== | ( | const StrCSumPtrLen & | rhs | ) | const`[inline]`

OSCL_IMPORT_REF void StrCSumPtrLen::setCheckSum | ( |  | ) |

void StrCSumPtrLen::setPtrLen | ( | const char * | newPtr,
|  | uint32 | newLen
| ) | `[inline]`

| Reimplemented from StrPtrLen.

## Field Documentation

CheckSumType StrCSumPtrLen::checkSum`[protected]`

The documentation for this struct was generated from the following file:

- oscl_str_ptr_len.h